using System;

namespace SlatedGameToolkit.Framework.Exceptions
{
    /// <summary>
    /// An exception that is thrown when there is an inappropriate use of the framework.
    /// </summary>
    public class FrameworkUsageException : FrameworkException {
        public FrameworkUsageException() : base() {

        }

        public FrameworkUsageException(string message) : base(message) {

        }
        
        public FrameworkUsageException(string message, Exception inner) : base(message, inner) {
        }
    }
}